GET
List close position requests
List all close position requests for an account with optional filters on status and creation date.
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
offsetintegerPagination offset. -
limitintegerNumber of items per page. -
statusstring enumFilter by close position request status. Multiple statuses can be provided as comma-separated values.pendingin_progresscompletedfailedcancelled -
dateGtestring date-timeReturn close position requests with acreationDatethat is greater than or equal to the given timestamp. -
dateLtstring date-timeReturn close position requests with acreationDatethat is less than the given timestamp.
Responses
200
List of close position requests
Response Body
object
-
dataarray of objects requireddata object
-
closePositionsRequestIdstring uuid requiredUnique identifier for the close position request -
accountIdstring requiredThe ID of the account -
enterpriseIdstring requiredEnterprise ID associated with the request -
statusstring enum requiredStatus of a close position request or orderpendingin_progresscompletedfailed -
bitgoUserIdstring requiredBitGo user ID who initiated the request -
creationDatestring date-time requiredTimestamp when the request was created
-
400
Bad request - Invalid query parameters
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-